> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/55.-ikelti-zip-failus-didesnius-nei-6-mb.md).

# 55. Įkelti ZIP failus (didesnius nei 6 MB)

Dėl AWS debesų teikėjo techninio apribojimo failus, didesnius nei 6 MB, reikia įkelti 2 žingsniais:

#### **1. Užklausti iš anksto pasirašytos nuorodos tolesniam tiesioginiam nusiuntimui.**  <a href="#step1" id="step1"></a>

Kaip įvestis:&#x20;

* `fileType` - `derlius` ARBA `dirvožemis` ARBA `pritaikyto` ARBA `adapt` ARBA `ribos`,&#x20;
* `farmUuid` (neprivaloma) - ūkio UUID, į kurį importuoti failą.&#x20;

Kaip išvestis:

* `uuid` - laukiamas UUID po nusiuntimo ir apdorojimo,
* `farmUuid` - toks pats kaip įvestyje,
* `fileType` - toks pats kaip įvestyje,
* `s3Url` - URL, naudojamas failui įkelti,
* `s3Fields` - atributai, perduodami failo įkėlimo formoje.

Detaliai kaip naudoti `s3Url` ir `s3Fields` aprašyta antrame žingsnyje.&#x20;

Atributai galioja tik 60 minučių failo įkėlimui.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GeneratePresignedPostFileData {
  generatePresignedPostFileData(input:{
    fileType: applied
    farmUuid: "8bba5132-3a92-4ce1-8699-220e78ad68bd"
  } ) {
    uuid
    farmUuid
    fileType
    s3Url
    s3Fields
  }
}

```

{% endcode %}

#### **2. Išsiųsti vietinį failą į s3Url su iš anksto nustatytais formos atributais iš s3Fields.**  <a href="#step2" id="step2"></a>

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST '<s3Url>' \
--form 'key="<value_in_s3Fields>"' \
--form 'AWSAccessKeyId="<value_in_s3Fields>"' \
--form 'x-amz-security-token="<value_in_s3Fields>"' \
--form 'policy="<value_in_s3Fields>"' \
--form 'signature="<value_in_s3Fields>"' \
--form 'file=@"<local_file_path>"'
```

{% endcode %}

Pranešimai apie apdorojimą bus pristatyti per prenumeratos mechanizmą, aprašytą\
&#x20;[1. Prenumerata: Gauti įvykius](/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/1.-prenumerata-gauti-ivykius.md).

{% hint style="info" %}
Atsakymo antraštėje yra `Etag` antraštė, kuri atrodo pavyzdžiui taip `Etag: "6fd3e76992738357ab50039f2c60024e"`. Ši reikšmė vėliau naudojama GraphQL [query getPlatformContext](/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/83.-uzklausa-surinkti-platformos-konteksta.md) stebėti apdorojimo pažangą, taip pat ryšį su „Field“, „AsAppliedDataset“, „YieldDataset“ ir „SoilDataset“ objektai.
{% endhint %}

{% hint style="info" %}
Naudokite `‘Accept-Encoding’:’gzip, deflate, br’`.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/55.-ikelti-zip-failus-didesnius-nei-6-mb.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
